# カートIDでカートアイテムを更新する

既存のカートアイテムを更新するか、カート内にアイテムを作成します。

Endpoint: PUT /v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。
    Example: 44056

  - `cart_id` (string, required)
    カートID。
    Example: "custom_id"

  - `item_sku` (string, required)
    アイテムSKU。
    Example: "booster_mega_1"

## Request fields (application/json):

  - `currency` (string)
    標準の決済通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)3文字通貨コード。

  - `quantity` (number)
    アイテム数量。

## Response 404 fields (application/json):

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-4001]: Item with Project ID = 44056 and SKU = booster_mega_12222 not found"

  - `statusCode` (integer)
    Example: 404

## Response 422 fields (application/json):

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "Item quantity must be non-negative integer."

  - `statusCode` (integer)
    Example: 422


## Response 204 fields
